/**************************************************************
UUID_CREATE
Returns a UUID (cstring(22), compressed, reversed, URL
											compatible UUID)
Parameters: cstring(22)	dummy to allow Interbase to perform
						memory management
Returns:    cstring(22) 
**************************************************************/

DECLARE EXTERNAL FUNCTION UUID_CREATE
  CSTRING(22)
  RETURNS PARAMETER 1
  ENTRY_POINT 'fn_uuid_create' MODULE_NAME 'uuidlib';

/**************************************************************
GUID_CREATE
Returns a GUID (cstring(36), standard readable representation
of a UUID in the xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx format)

Parameters: cstring(36)	dummy to allow Interbase to perform
						memory management
Returns:    cstring(36) 
**************************************************************/

DECLARE EXTERNAL FUNCTION GUID_CREATE
  CSTRING(36)
  RETURNS PARAMETER 1
  ENTRY_POINT 'fn_guid_create' MODULE_NAME 'uuidlib';
  
/**************************************************************
GUID_TO_UUID
Returns a UUID from the passed in GUID

Parameters:	cstring(36)	passed in GUID
			cstring(22) dummy to allow Interbase to perform
						memory management
Returns:    cstring(22) 
**************************************************************/

DECLARE EXTERNAL FUNCTION GUID_TO_UUID
  CSTRING(36),
  CSTRING(22)
  RETURNS PARAMETER 2
  ENTRY_POINT 'fn_squash_guid' MODULE_NAME 'uuidlib';
  
/**************************************************************
UUID_TO_GUID
Returns a GUID from the passed in UUID

Parameters:	cstring(22)	passed in UUID
			cstring(36) dummy to allow Interbase to perform
						memory management
Returns:    cstring(36) 
**************************************************************/

DECLARE EXTERNAL FUNCTION UUID_TO_GUID
  CSTRING(22)
  CSTRING(36)
  RETURNS PARAMETER 2
  ENTRY_POINT 'fn_expand_uuid' MODULE_NAME 'uuidlib';
  
